PDOStatement->setFetchMode
PDO Drivers
PDO
PHP Manual

# The PDOException class

## Introduction

Represents an error raised by PDO. You should not throw a PDOException from your own code. See Exceptions for more information about Exceptions in PHP.

## Class synopsis

PDOException
class PDOException extends RuntimeException {
/* Properties */
public string $errorInfo ;
protected string $message ;
protected string $code ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public string Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private string Exception::__clone ( void )
}

## Properties

errorInfo

  Corresponds to PDO::errorInfo() or PDOStatement::errorInfo()

message

  Textual error message. Exception::getMessage() to access it.

code

  SQLSTATE error code. Use Exception::getCode() to access it.

PDOStatement->setFetchMode
PDO Drivers
PDO
PHP Manual